summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Siebeck <gentoo.bugzilla.2012@r123.de>2018-09-06 15:44:17 +0200
committerAmy Liffey <amynka@gentoo.org>2018-09-09 15:55:51 +0100
commit8e02a587fee6fef87cd6582c54a5218bfcc82550 (patch)
tree546bbebd0fd7497575467e8134fe58bd0e829130 /net-im/signal-desktop-bin
parentmedia-libs/libheif: fix KEYWORDS (diff)
downloadgentoo-8e02a587fee6fef87cd6582c54a5218bfcc82550.tar.gz
gentoo-8e02a587fee6fef87cd6582c54a5218bfcc82550.tar.bz2
gentoo-8e02a587fee6fef87cd6582c54a5218bfcc82550.zip
net-im/signal-desktop-bin: new version 1.16.0
Diffstat (limited to 'net-im/signal-desktop-bin')
-rw-r--r--net-im/signal-desktop-bin/Manifest1
-rw-r--r--net-im/signal-desktop-bin/signal-desktop-bin-1.16.0.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/net-im/signal-desktop-bin/Manifest b/net-im/signal-desktop-bin/Manifest
index 0cb77b6a83e..44193553a67 100644
--- a/net-im/signal-desktop-bin/Manifest
+++ b/net-im/signal-desktop-bin/Manifest
@@ -1 +1,2 @@
DIST signal-desktop_1.15.5_amd64.deb 70045774 BLAKE2B d315397d87d82c9b2b59795f433baf3d0312ced48742478626e28f23448549acec57e384047417125869e648c69c3f28a19724efc44f594588b3682666e2627f SHA512 91c38d04e949168d01a04636ac01abea52499432e1d898b04741bacb2509c3595001e785ff92e3e23371bf0ea94d304da83b3f1d50b93dbbf8e2a1128388a16e
+DIST signal-desktop_1.16.0_amd64.deb 70095960 BLAKE2B 22ef2003a45429d05433ceccd0688232b6117bcfadeae29490352d8d949ca45759b4b5f9b9d29817739469d359220473c535652e7cea655ac995ee465a888fb0 SHA512 e18a1bc31b450077bbb48d8a87ee91cf0108f56e1168b71d01caaf39fa22ef79684509afeede66c9991ca03a8c637553bcc2e0c7544b30113dd3ca593bf6ca16
diff --git a/net-im/signal-desktop-bin/signal-desktop-bin-1.16.0.ebuild b/net-im/signal-desktop-bin/signal-desktop-bin-1.16.0.ebuild
new file mode 100644
index 00000000000..533fd050681
--- /dev/null
+++ b/net-im/signal-desktop-bin/signal-desktop-bin-1.16.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="${PN/-bin/}"
+
+inherit gnome2-utils pax-utils unpacker xdg-utils
+
+DESCRIPTION="Allows you to send and receive messages of Signal Messenger on your computer"
+HOMEPAGE="https://signal.org/
+ https://github.com/WhisperSystems/Signal-Desktop"
+SRC_URI="https://updates.signal.org/desktop/apt/pool/main/s/${MY_PN}/${MY_PN}_${PV}_amd64.deb"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ gnome-base/gconf:2
+ dev-libs/nss
+ x11-libs/gtk+:3[X]
+ x11-libs/libXScrnSaver
+ x11-libs/libXtst
+ net-print/cups
+ "
+
+QA_PREBUILT="opt/Signal/signal-desktop
+ opt/Signal/libnode.so
+ opt/Signal/libffmpeg.so"
+
+S="${WORKDIR}"
+
+src_prepare(){
+ default
+ sed -e 's|\("/opt/Signal/signal-desktop"\)|\1 --start-in-tray|g' \
+ -i usr/share/applications/signal-desktop.desktop || die
+}
+
+src_install() {
+ insinto /
+ dodoc -r usr/share/doc/signal-desktop/.
+ doins -r opt
+ insinto /usr/share
+ doins -r usr/share/applications
+ doins -r usr/share/icons
+ fperms +x /opt/Signal/signal-desktop
+ pax-mark m opt/Signal/signal-desktop
+
+ dosym ../../opt/Signal/${MY_PN} /usr/bin/${MY_PN}
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}